#
# spec file for package twemoji-color-font
#
# Copyright © 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright © 2016 Yunhe Guo <guoyunhebrave@gmail.com>
# Copyright © 2018–2021 Markus S. <kamikazow@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           twemoji-color-font
Version:        13.0.1
Release:        bp154.1.18
Summary:        Font using Twitter’s color emoji
License:        CC-BY-4.0
Group:          System/X11/Fonts
Url:            https://github.com/eosrei/twemoji-color-font
Source:         TwitterColorEmoji-SVGinOT-Linux-%{version}.tar.gz
BuildRequires:  fontpackages-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A color and monochrome emoji SVG-in-OpenType font built from the
Twitter Emoji for Everyone artwork with support for ZWJ,
skin tone diversity and country flags.

The font works in all operating systems, but will currently only
show color emoji in Firefox, Thunderbird and other Mozilla Gecko-based
applications. This is not a limitation of the font but of the
operating systems and applications. Regular monochrome outline
emoji are included for backwards/fallback compatibility.

%prep
%setup -n TwitterColorEmoji-SVGinOT-Linux-%{version}

%build
# Nothing to do

%install
mkdir -p %{buildroot}/%{_datadir}/fonts/truetype
install -m 0644 *.ttf %{buildroot}/%{_datadir}/fonts/truetype

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc *.txt *.md
%{_datadir}/fonts/truetype

%changelog
* Wed Jan 27 2021 Markus S <kamikazow@opensuse.org>
- Update to twemoji 13.0.1 - 117 new Emoji
* Sun May  5 2019 Markus S <kamikazow@opensuse.org>
- Update to twemoji 12.0.1 - 230 new Emoji
* Sun Nov  4 2018 Markus S <kamikazow@opensuse.org>
- Switch source archive back to original upstream as the fork’s
  changes have been incorporated and a new release (also called
  11.2) has been made. The font intself is identical to the fork.
- Replaced license placeholder with MIT license text (CC-BY 4.0
  does not fall under the OSI’s Open Source Definition, therefore
  the spec file is MIT-licensed as the placeholder says).
* Wed Oct  3 2018 Markus S <kamikazow@opensuse.org>
- Version 11.2
- Update to Twemoji 11.2
- Unicode Emoji 11.0 coverage
- New version scheme to follow Twemoji's versioning change:
  Major version follows Unicode Emoji version, minor versions are Twemoji
  revisions.
- Switch to maintained https://github.com/youdly/twemoji-color-font fork
* Tue Sep 25 2018 Markus S <kamikazow@opensuse.org>
- Version 1.4
- Update to twemoji 2.5.0
* Wed Nov  8 2017 Markus S <kamikazow@opensuse.org>
- Version 1.3
- Uses Twemoji 2.3.0 graphics
- Unicode 10.0 and Emoji 5.0 coverage
- Rebuild with SVG transform (translate/scale) following SVGinOT spec.
- Added rainbow and pirate flag.
* Thu Sep  8 2016 guoyunhebrave@gmail.com
- Version 1.1
- Add Unicode 9.0 power symbols
- Upgrade to twemoji v2.1.0 adding 72 Unicode 9.0 emoji
